

function love.load()
	player = {}
	player.x = 0
	player.y = 0
	player.xvel = 0
	player.yvel = 0
	player.friction = 1.5
	player.speed = 700
	player.speedSmash = 2200
	player.w = 32
	player.h = 32
	player.dead = "false"

	enemy = {}
	enemy.x = 200
	enemy.y = 200
	enemy.xvel = 0
	enemy.yvel = 0
	enemy.friction = 2
	enemy.w = 32
	enemy.h = 32
	enemy.speed = 1050
end

function love.update(dt)
	player.x = player.x + player.xvel * dt
	player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))
	player.y = player.y + player.yvel * dt
	player.yvel = player.yvel * (1 - math.min(dt*player.friction, 1))

	if love.keyboard.isDown("d") and player.xvel < player.speed then
		player.xvel = player.xvel + player.speed * dt
	end
	if love.keyboard.isDown("a") and player.xvel > -player.speed then
		player.xvel = player.xvel - player.speed * dt
	end
	if love.keyboard.isDown("w") and player.yvel > -player.speed then
		player.yvel = player.yvel - player.speed * dt
	end
	if love.keyboard.isDown("s") and player.yvel < player.speed then
		player.yvel = player.yvel + player.speed * dt
	end
	if love.keyboard.isDown("lshift") then
		player.speed = player.speedSmash
	else
		local speed = 700
		player.speed = speed
	end
	-- Collision with enemy
	if player.y < enemy.y +  enemy.h and
	   player.y + player.h > enemy.y and
	   player.x < enemy.x +  enemy.w and
	   player.x + player.w > enemy.x then
	   	   player.dead = "true"
	else
		player.dead = "false"
	end
	--
	-- ENEMY
	--
	enemy.x = enemy.x + enemy.xvel * dt
	enemy.xvel = enemy.xvel * (1 - math.min(dt*enemy.friction, 1))
	enemy.y = enemy.y + enemy.yvel * dt
	enemy.yvel = enemy.yvel * (1 - math.min(dt*enemy.friction, 1))

	if enemy.y > player.y + player.h and enemy.yvel < enemy.speed then
		enemy.yvel = enemy.yvel - enemy.speed * dt
	end
	if enemy.y + enemy.h < player.y and enemy.yvel > -enemy.speed then
		enemy.yvel = enemy.yvel + enemy.speed * dt
	end
	if enemy.x > player.x + player.w and enemy.xvel < enemy.speed then
		enemy.xvel = enemy.xvel - enemy.speed * dt
	end
	if enemy.x + enemy.w < player.x and enemy.xvel > -enemy.speed then
		enemy.xvel = enemy.xvel + enemy.speed * dt
	end

	
end

function love.draw()
	
	if player.dead == "false" then
		love.graphics.setColor(255,255,255)
	else
		love.graphics.setColor(0,255,0)
	end
	love.graphics.rectangle("fill", player.x, player.y,
		player.w, player.h)
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle("fill", enemy.x, enemy.y,
		enemy.w, enemy.h)
end